# $Id: yersinia.spec 3595 2005-09-24 12:01:55Z dries $
# Authority: dries

Summary: Tests and attacks for network protocols
Name: yersinia
Version: 0.5.6
Release: 1.rf
License: GPL
Group: Applications/Internet
URL: http://yersinia.sourceforge.net/

Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://dl.sf.net/yersinia/yersinia-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: libnet, libpcap, ncurses-devel

%description
Yersinia implements several attacks for the following protocols: 
Spanning Tree (STP), Cisco Discovery (CDP), Dynamic Host Configuration 
(DHCP), Hot Standby Router (HSRP), Dynamic Trunking (DTP), 802.1q, 
Inter-Switch Link Protocol (ISL), and VLAN Trunking (VTP). It helps 
the pen-tester in different tasks, such as becoming the root role in 
the Spanning Tree, creating virtual CDP neighbors, setting up rogue 
DHCP servers, becoming the active router in a HSRP scenario, enabling 
trunk, performing ARP spoofing over VLAN hopping, adding or deleting 
VLANs (via VTP), and more.

%prep
%setup

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING FAQ INSTALL NEWS README THANKS TODO
%doc %{_mandir}/man8/yersinia*
%{_bindir}/yersinia

%changelog
* Tue Sep 20 2005 Dries Verachtert <dries@ulyssis.org> - 0.5.6 - 3595/dries
- Initial package.
